# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define version 2.0.0016
%define name cg
%define release %mkrel 1

%ifarch %ix86
%define arch x86
%endif
%ifarch x86_64
%define arch x86_64
%endif

Summary:	The C for GPUs (CG) development toolkit.
Name:		%{name}
Version:	%{version}
Release:        %{release}
Source0:	Cg-2.0_May2008_%{arch}.tgz
License:	Proprietary
URL:		http://developer.nvidia.com/object/cg_toolkit.html
Group:		Graphics
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The C for GPUs (CG) development toolkit.  Contains the compiler, libs and headers
needed for C for GPUs program compilation.

%package docs
Summary: Extensive Cg documentation
Group:   Graphics
License: Proprietary

%description docs
Documenation for the api and compiler for C for GPUs

%package demos
Summary: Cg demos
Group: Graphics
License: Proprietary
Requires: %{name}

%description demos
C for GPUs demos. Located in /usr/local/Cg.

%prep
%setup -q -c %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}
cp -rf usr %{buildroot}/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%attr(755, root, root) %{_bindir}/cgc
%{_libdir}/*.so
%{_includedir}/Cg

%files docs
%defattr(-, root, root)
%{_datadir}/man/manCg
%{_datadir}/man/manCgFX
%{_datadir}/man/man3/cg*

%files demos
%defattr(-, root, root)
%{_prefix}/local/Cg


%changelog
* Tue Jul 08 2008 rifter <rifter4444@gmail.com> 1.5.0015-1
- changed to a full release with docs, headers and examples
- 2.0.0016

* Tue Jan 30 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.5.0015-1
- Initial build for pclos2007

